package com.rsjst.hcm.recruit.api.entity;

import cn.zgfxrc.boot.common.core.entity.base.BaseModelWithTenant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author huanghs@zgfxrc.cn
 * @date 2022.8.22
 */
@Data
@ApiModel("简历")
@EqualsAndHashCode(callSuper = true)
public class RecruitResume extends BaseModelWithTenant<RecruitResume> {
  @ApiModelProperty("姓名")
  String fullName;

  @ApiModelProperty("附件")
  String files;

  @ApiModelProperty("简历来源")
  String resumeSource;
}
