package cn.zgfxrc.boot.upms.api.entity;

import cn.zgfxrc.boot.common.core.entity.base.BaseModelWithTenant;
import cn.zgfxrc.boot.upms.api.enums.DeptUserType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author huanghs@zgfxrc.cn
 * @date 2022.12.2
 */
@Data
@ApiModel("角色")
@EqualsAndHashCode(callSuper = true)
public class SysDeptUser extends BaseModelWithTenant<SysDeptUser> {
  @ApiModelProperty("部门id")
  private Long deptId;

  @ApiModelProperty("用户id")
  private Long userId;

  @ApiModelProperty("类型")
  private DeptUserType type;
}
