package cn.zgfxrc.boot.upms.api.entity;

import cn.zgfxrc.boot.common.core.entity.base.BaseModelWithTenant;
import cn.zgfxrc.boot.upms.api.enums.DictType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

/**
 * @author huanghs@zgfxrc.cn
 * @date 2022.12.1
 */
@Data
@ApiModel("字典")
@EqualsAndHashCode(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SysDict extends BaseModelWithTenant<SysDept> {
  @ApiModelProperty("字典名称")
  String name;

  @ApiModelProperty("字典编码")
  String dicCode;

  @ApiModelProperty("描述")
  String description;

  @ApiModelProperty("字典类型")
  DictType type;

  @ApiModelProperty("排序值")
  Integer sort;
}
