package cn.zgfxrc.boot.upms.api.entity.req;

import cn.zgfxrc.boot.upms.api.entity.SysUser;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author huanghs@zgfxrc.cn
 * @date 2021.11.8
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class SysUserReq extends SysUser {
  @ApiModelProperty("角色ids")
  List<Long> roleIds;

  @ApiModelProperty("密码")
  String newPassword;

  @ApiModelProperty("加密密钥时间戳")
  Long secret;

  @ApiModelProperty("行为验证码")
  String captchaVerification;

  @ApiModelProperty("部门ids")
  List<Long> deptIds;

  @ApiModelProperty("部门id")
  Long deptId;

  @ApiModelProperty("是否只展示内部用户")
  Boolean innerOnly;

  @ApiModelProperty("租户名称")
  String tenantName;

  @ApiModelProperty("职位id")
  Long positionPrimaryId;

  @ApiModelProperty("职位ids")
  List<Long> positionSecondaryIds;
}
