package cn.zgfxrc.boot.upms.biz.controller;

import cn.zgfxrc.boot.upms.api.entity.res.SysDistrictTreeNode;
import cn.zgfxrc.boot.upms.biz.service.SysDistrictService;
import com.seepine.secret.annotation.Expose;
import io.swagger.annotations.Api;
import java.util.List;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author huanghs@zgfxrc.cn
 */
@RestController
@Api(tags = "区域管理")
@RequestMapping("sys/district")
@AllArgsConstructor
public class SysDistrictController {
  SysDistrictService sysDistrictService;

  @Expose
  @RequestMapping("tree")
  public List<SysDistrictTreeNode> tree() {
    return sysDistrictService.tree();
  }

  @Expose
  @RequestMapping("tree/city")
  public List<SysDistrictTreeNode> treeCity() {
    return sysDistrictService.treeCity();
  }
}
