package cn.zgfxrc.boot.upms.api.entity;

import cn.zgfxrc.boot.common.core.entity.base.BaseModelWithTenant;
import cn.zgfxrc.boot.upms.api.enums.GroupVisibleScope;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author huanghs@zgfxrc.cn
 */
@Data
@ApiModel("用户组")
@EqualsAndHashCode(callSuper = true)
public class SysGroup extends BaseModelWithTenant<SysGroup> {
  @ApiModelProperty("名称")
  String name;

  @ApiModelProperty("描述")
  String description;

  @ApiModelProperty("排序值")
  Integer sort;

  @ApiModelProperty("组公开范围")
  GroupVisibleScope visibleScope;
}
