package cn.zgfxrc.boot.upms.api.entity;

import cn.zgfxrc.boot.common.core.entity.base.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author huanghs@zgfxrc.cn
 * @date 2021.11.2
 */
@Data
@ApiModel("套餐管理")
@EqualsAndHashCode(callSuper = true)
public class SysPackage extends BaseModel<SysPackage> {
  @ApiModelProperty("名称")
  String name;

  @ApiModelProperty("描述")
  String description;
}
