package cn.zgfxrc.boot.upms.api.entity;

import cn.zgfxrc.boot.common.core.entity.base.BaseModelWithTenant;
import cn.zgfxrc.boot.upms.api.enums.PositionType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@ApiModel("职位用户关联表")
@EqualsAndHashCode(callSuper = true)
public class SysPositionUser extends BaseModelWithTenant<SysPositionUser> {

  @ApiModelProperty("职位id")
  Long positionId;

  @ApiModelProperty("用户id")
  Long userId;

  @ApiModelProperty("职位类型")
  PositionType type;
}
