package cn.zgfxrc.boot.upms.api.entity;

import cn.zgfxrc.boot.common.core.entity.base.BaseModelWithTenant;
import cn.zgfxrc.boot.common.core.enums.PlatformType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author huanghs@zgfxrc.cn
 * @date 2021.11.2
 */
@Data
@ApiModel("角色")
@EqualsAndHashCode(callSuper = true)
public class SysRole extends BaseModelWithTenant<SysRole> {
  @ApiModelProperty("角色名")
  String name;

  @ApiModelProperty("角色描述")
  String description;

  @ApiModelProperty("平台类型")
  PlatformType platformType;
}
