package cn.zgfxrc.boot.upms.api.entity.req;

import cn.zgfxrc.boot.upms.api.entity.SysDept;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author huanghs@zgfxrc.cn
 * @date 2022.12.9
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class SysDeptReq extends SysDept {
  @ApiModelProperty("部门主负责人id")
  Long primaryChargeUserId;

  @ApiModelProperty("部门次负责人ids")
  List<Long> secondaryChargeUserIds;

  @ApiModelProperty("部门成员ids")
  List<Long> userIds;
}
