package cn.zgfxrc.boot.upms.api.entity.res;

import cn.zgfxrc.boot.common.core.entity.base.TreeNode;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author huanghs@zgfxrc.cn
 * @date 2022.12.2
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class SysDeptTreeNode extends TreeNode<SysDeptTreeNode> {

  @ApiModelProperty("类型(dept,user)")
  String type;

  @ApiModelProperty("头像")
  String avatarUrl;

  @ApiModelProperty("部门主负责人ids")
  Long primaryChargeUserId;

  @ApiModelProperty("部门主负责人name")
  String primaryChargeUserName;

  @ApiModelProperty("部门副负责人ids")
  List<Long> secondaryChargeUserIds;

  @ApiModelProperty("部门副负责人names")
  String secondaryChargeUserNames;
}
