package cn.zgfxrc.boot.upms.api.entity.res;

import cn.zgfxrc.boot.upms.api.entity.SysDistrict;
import io.swagger.annotations.ApiModelProperty;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author huanghs@zgfxrc.cn
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class SysDistrictTreeNode extends SysDistrict {

  @ApiModelProperty("排序值")
  protected Integer sort;

  @ApiModelProperty(value = "子节点列表")
  protected List<SysDistrictTreeNode> children = new ArrayList<>();
}
