package cn.zgfxrc.boot.upms.api.entity.res;

import cn.zgfxrc.boot.upms.api.entity.SysUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author huanghs@zgfxrc.cn
 * @date 2021.11.9
 */
@ApiModel("平台用户扩展")
@EqualsAndHashCode(callSuper = true)
@Data
public class SysUserRes extends SysUser {
  @ApiModelProperty("返回角色ids")
  List<Long> roleIds;

  @ApiModelProperty("返回部门ids")
  List<Long> deptIds;

  @ApiModelProperty("所有部门名称")
  String deptNames;

  @ApiModelProperty("组ids")
  List<Long> groupIds;

  @ApiModelProperty("所有组名称")
  String groupNames;

  @ApiModelProperty("主要职位id")
  Long positionPrimaryId;

  @ApiModelProperty("次要职位ids")
  List<Long> positionSecondaryIds;
}
