package cn.zgfxrc.boot.upms.biz.mapper;

import cn.zgfxrc.boot.common.mybatis.base.MpBaseMapper;
import cn.zgfxrc.boot.upms.api.entity.SysMenu;
import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;

/**
 * @author huanghs@zgafxrc.cn
 * @date 2021.11.2
 */
@Mapper
public interface SysMenuMapper extends MpBaseMapper<SysMenu> {
  String TABLE_NAME = "sys_menu";

  /**
   * 删除所有数据
   *
   * @return count
   */
  @InterceptorIgnore(tenantLine = "true")
  @Delete("DELETE FROM " + TABLE_NAME + " where id is not null")
  int deleteAll();
}
